export declare const TextInputFixed: import("react").ForwardRefExoticComponent<import("@gravity-ui/uikit").DOMProps & import("@gravity-ui/uikit").QAProps & {
    autoComplete?: boolean | "on" | "off" | string;
    autoFocus?: boolean;
    controlRef?: import("react").Ref<HTMLInputElement> | undefined;
    defaultValue?: string;
    disabled?: boolean;
    error?: string | boolean;
    errorMessage?: React.ReactNode;
    errorPlacement?: "outside" | "inside";
    validationState?: "invalid";
    hasClear?: boolean;
    id?: string;
    name?: string;
    onBlur?: import("react").FocusEventHandler<HTMLInputElement> | undefined;
    onChange?: import("react").ChangeEventHandler<HTMLInputElement> | undefined;
    onFocus?: import("react").FocusEventHandler<HTMLInputElement> | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLInputElement> | undefined;
    onKeyPress?: import("react").KeyboardEventHandler<HTMLInputElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLInputElement> | undefined;
    onUpdate?: (value: string) => void;
    pin?: import("@gravity-ui/uikit").InputControlPin;
    placeholder?: string;
    readOnly?: boolean;
    size?: import("@gravity-ui/uikit").InputControlSize;
    tabIndex?: number;
    value?: string;
    view?: import("@gravity-ui/uikit").InputControlView;
} & {
    type?: "email" | "number" | "password" | "search" | "tel" | "text" | "url";
    controlProps?: React.InputHTMLAttributes<HTMLInputElement>;
    label?: string;
    startContent?: React.ReactNode;
    endContent?: React.ReactNode;
    note?: React.ReactNode;
} & import("react").RefAttributes<HTMLSpanElement>>;
export declare const TextAreaFixed: import("react").ForwardRefExoticComponent<import("@gravity-ui/uikit").DOMProps & import("@gravity-ui/uikit").QAProps & {
    autoComplete?: boolean | "on" | "off" | string;
    autoFocus?: boolean;
    controlRef?: import("react").Ref<HTMLTextAreaElement> | undefined;
    defaultValue?: string;
    disabled?: boolean;
    error?: string | boolean;
    errorMessage?: React.ReactNode;
    errorPlacement?: "outside" | "inside";
    validationState?: "invalid";
    hasClear?: boolean;
    id?: string;
    name?: string;
    onBlur?: import("react").FocusEventHandler<HTMLTextAreaElement> | undefined;
    onChange?: import("react").ChangeEventHandler<HTMLTextAreaElement> | undefined;
    onFocus?: import("react").FocusEventHandler<HTMLTextAreaElement> | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyPress?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onUpdate?: (value: string) => void;
    pin?: import("@gravity-ui/uikit").InputControlPin;
    placeholder?: string;
    readOnly?: boolean;
    size?: import("@gravity-ui/uikit").InputControlSize;
    tabIndex?: number;
    value?: string;
    view?: import("@gravity-ui/uikit").InputControlView;
} & {
    controlProps?: React.TextareaHTMLAttributes<HTMLTextAreaElement>;
    rows?: number;
    minRows?: number;
    maxRows?: number;
    note?: React.ReactNode;
} & import("react").RefAttributes<HTMLSpanElement>>;
